package com.example.libary

import androidx.compose.ui.test.assertIsDisplayed
import androidx.compose.ui.test.junit4.createComposeRule
import androidx.compose.ui.test.onNodeWithText
import org.junit.Rule
import org.junit.Test

class InputTest {

    @get:Rule
    val composeRule = createComposeRule()

    @Test
    fun test1() {
        composeRule.setContent {
            Input(
                value = "",
                onValueChange = {},
                errorText = "error test"
            )
        }

        composeRule.onNodeWithText("error test").assertIsDisplayed()
    }
}